Index: /trunk/Makefile
===================================================================
--- /trunk/Makefile	(revision 99)
+++ /trunk/Makefile	(revision 100)
@@ -340,123 +351,123 @@
 SOURCE_OBJ =  \
 	tmp/src/BFieldProp.$(ObjSuf) \
+	tmp/src/FrogUtil.$(ObjSuf) \
+	tmp/src/HEPEVTConverter.$(ObjSuf) \
+	tmp/src/JetUtils.$(ObjSuf) \
+	tmp/src/LHEFConverter.$(ObjSuf) \
 	tmp/src/STDHEPConverter.$(ObjSuf) \
-	tmp/src/JetUtils.$(ObjSuf) \
+	tmp/src/SmearUtil.$(ObjSuf) \
+	tmp/src/TreeClasses.$(ObjSuf) \
+	tmp/src/TriggerUtil.$(ObjSuf) \
 	tmp/src/VeryForward.$(ObjSuf) \
-	tmp/src/TriggerUtil.$(ObjSuf) \
-	tmp/src/HEPEVTConverter.$(ObjSuf) \
-	tmp/src/SmearUtil.$(ObjSuf) \
-	tmp/src/FrogUtil.$(ObjSuf) \
-	tmp/src/TreeClasses.$(ObjSuf) \
-	tmp/src/LHEFConverter.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/BlockClasses.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf) \
+	tmp/Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(ObjSuf) \
 	tmp/Utilities/ExRootAnalysis/src/ExRootTreeReader.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootTreeBranch.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/ExRootProgressBar.$(ObjSuf) \
 	tmp/Utilities/ExRootAnalysis/src/ExRootTreeWriter.$(ObjSuf) \
-	tmp/Utilities/ExRootAnalysis/src/BlockClasses.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Parameters.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_AbstractBeamLine.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Aperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Beam.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamLine.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamLineParser.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_BeamParticle.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_CircularAperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Dipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Drift.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_EllipticAperture.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_HorizontalKicker.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_HorizontalQuadrupole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_SectorDipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Kicker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Marker.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_OpticalElement.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Parameters.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_Quadrupole.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_RecRPObject.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_CircularAperture.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_RectEllipticAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_AbstractBeamLine.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_TransportMatrices.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Aperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_OpticalElement.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamLine.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamParticle.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_RectangularAperture.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_RectangularCollimator.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_RectangularDipole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_BeamLineParser.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Beam.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Marker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Kicker.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_RomanPot.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Drift.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_EllipticAperture.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_RectangularAperture.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_SectorDipole.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_TransportMatrices.$(ObjSuf) \
+	tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf) \
 	tmp/Utilities/Hector/src/H_VerticalQuadrupole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Dipole.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_VerticalKicker.$(ObjSuf) \
-	tmp/Utilities/Hector/src/H_Quadrupole.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/ClosestPair2D.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/Dnn2piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceActiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_TiledN2.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_CP2DChan.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_N2.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequencePassiveArea.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/Error.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/GhostedAreaSpec.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf) \
+	tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/RangeDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/BasicRandom.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/PseudoJet.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/AreaDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_DumbN3.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceVoronoiArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn3piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Error.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequenceAreaBase.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/Dnn4piCylinder.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/JetDefinition.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/DnnPlane.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/ClusterSequence_Delaunay.$(ObjSuf) \
-	tmp/Utilities/Fastjet/src/MinHeap.$(ObjSuf) \
 	tmp/Utilities/Fastjet/src/Voronoi.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/Cluster.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/JetCluAlgorithm.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/ClusterComparisons.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/CDFCones/src/PhysicsTower.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/CalTower.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/LorentzVector.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/Centroid.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/CDFCones/src/MidPointAlgorithm.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/quadtree.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/ranlux.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/protocones.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf) \
+	tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf) \
 	tmp/Utilities/Fastjet/plugins/SISCone/src/vicinity.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone_error.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/siscone.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/area.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/hash.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/reference.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/momentum.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/geom_2d.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/split_merge.$(ObjSuf) \
-	tmp/Utilities/Fastjet/plugins/SISCone/src/quadtree.$(ObjSuf) \
 	tmp/Examples/src/Analysis_Ex.$(ObjSuf)
 
+tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf): \
+	Utilities/mcfio/mcf_NTuIOFiles.c
+tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf): \
+	Utilities/mcfio/mcf_NTuIOUtils.c
+tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf): \
+	Utilities/mcfio/mcf_evt_xdr.c
+tmp/Utilities/mcfio/mcf_ntuBldDbinc.$(ObjSuf): \
+	Utilities/mcfio/mcf_ntuBldDbinc.c
+tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf): \
+	Utilities/mcfio/mcf_ntubldInit.c
+tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf): \
+	Utilities/mcfio/mcfio_Block.c
 tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf): \
 	Utilities/mcfio/mcfio_Direct.c
-tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf): \
-	Utilities/mcfio/mcfio_Block.c
-tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf): \
-	Utilities/mcfio/mcf_evt_xdr.c
-tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf): \
-	Utilities/mcfio/mcf_NTuIOUtils.c
-tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf): \
-	Utilities/mcfio/mcf_NTuIOFiles.c
+tmp/Utilities/mcfio/mcfio_SeqDummy.$(ObjSuf): \
+	Utilities/mcfio/mcfio_SeqDummy.c
+tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf): \
+	Utilities/mcfio/mcfio_UserDictionary.c
 tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf): \
 	Utilities/mcfio/mcfio_Util1.c
-tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf): \
-	Utilities/mcfio/mcf_ntubldInit.c
-tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf): \
-	Utilities/mcfio/mcfio_UserDictionary.c
-tmp/Utilities/mcfio/mcf_ntuBldDbinc.$(ObjSuf): \
-	Utilities/mcfio/mcf_ntuBldDbinc.c
-tmp/Utilities/mcfio/mcfio_SeqDummy.$(ObjSuf): \
-	Utilities/mcfio/mcfio_SeqDummy.c
-tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf): \
-	Utilities/stdhep/mcf_hepup_xdr.c \
+tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf): \
+	Utilities/stdhep/mcf_Stdhep_xdr.c \
 	Utilities/mcfio/mcfio_Dict.h \
 	Utilities/mcfio/mcf_xdr.h \
-	Utilities/stdhep/hepeup.h \
-	Utilities/stdhep/heprup.h \
+	Utilities/stdhep/stdhep.h \
+	Utilities/stdhep/stdtmp.h \
 	Utilities/stdhep/stdver.h
 tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf): \
@@ -467,4 +478,11 @@
 	Utilities/stdhep/hepev4.h \
 	Utilities/stdhep/stdtmp.h \
+	Utilities/stdhep/stdver.h
+tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf): \
+	Utilities/stdhep/mcf_hepup_xdr.c \
+	Utilities/mcfio/mcfio_Dict.h \
+	Utilities/mcfio/mcf_xdr.h \
+	Utilities/stdhep/hepeup.h \
+	Utilities/stdhep/heprup.h \
 	Utilities/stdhep/stdver.h
 tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf): \
@@ -495,28 +513,21 @@
 	Utilities/stdhep/stdcnt.h \
 	Utilities/stdhep/stdhep_mcfio.h
-tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf): \
-	Utilities/stdhep/mcf_Stdhep_xdr.c \
-	Utilities/mcfio/mcfio_Dict.h \
-	Utilities/mcfio/mcf_xdr.h \
-	Utilities/stdhep/stdhep.h \
-	Utilities/stdhep/stdtmp.h \
-	Utilities/stdhep/stdver.h
 STDHEP_OBJ =  \
+	tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_ntuBldDbinc.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcfio_Direct.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_Block.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_evt_xdr.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_NTuIOUtils.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_NTuIOFiles.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_SeqDummy.$(ObjSuf) \
+	tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf) \
 	tmp/Utilities/mcfio/mcfio_Util1.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_ntubldInit.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_UserDictionary.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcf_ntuBldDbinc.$(ObjSuf) \
-	tmp/Utilities/mcfio/mcfio_SeqDummy.$(ObjSuf) \
+	tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf) \
+	tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf) \
 	tmp/Utilities/stdhep/mcf_hepup_xdr.$(ObjSuf) \
-	tmp/Utilities/stdhep/mcf_hepev4_xdr.$(ObjSuf) \
 	tmp/Utilities/stdhep/mcf_stdcm1_xdr.$(ObjSuf) \
 	tmp/Utilities/stdhep/stdhep_internal_utils.$(ObjSuf) \
-	tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf) \
-	tmp/Utilities/stdhep/mcf_Stdhep_xdr.$(ObjSuf)
+	tmp/Utilities/stdhep/stdhep_mcfio.$(ObjSuf)
 
 interface/TriggerUtil.h: \
@@ -531,7 +542,46 @@
 	@touch $@
 
+Utilities/Fastjet/include/fastjet/Error.hh: \
+	Utilities/Fastjet/include/fastjet/internal/base.hh
+	@touch $@
+
+interface/STDHEPConverter.h: \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
+	Utilities/ExRootAnalysis/interface/LHEF.h \
+	interface/DataConverter.h
+	@touch $@
+
+Utilities/ExRootAnalysis/interface/BlockClasses.h: \
+	Utilities/ExRootAnalysis/interface/BlockCompare.h
+	@touch $@
+
+Utilities/Fastjet/include/fastjet/PseudoJet.hh: \
+	Utilities/Fastjet/include/fastjet/internal/numconsts.hh
+	@touch $@
+
 interface/HEPEVTConverter.h: \
 	Utilities/ExRootAnalysis/interface/BlockClasses.h \
 	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
+	interface/DataConverter.h
+	@touch $@
+
+interface/FrogUtil.h: \
+	interface/SmearUtil.h \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	Utilities/FROG/Includes/FROG/FROG_Events.h
+	@touch $@
+
+interface/TreeClasses.h: \
+	Utilities/ExRootAnalysis/interface/BlockCompare.h \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h
+	@touch $@
+
+interface/LHEFConverter.h: \
+	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
+	Utilities/ExRootAnalysis/interface/LHEF.h \
 	interface/DataConverter.h
 	@touch $@
@@ -550,4 +600,10 @@
 	@touch $@
 
+interface/SmearUtil.h: \
+	Utilities/ExRootAnalysis/interface/BlockClasses.h \
+	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
+	Utilities/Fastjet/plugins/CDFCones/interface/PhysicsTower.hh
+	@touch $@
+
 Examples/interface/Analysis_Ex.h: \
 	Utilities/ExRootAnalysis/interface/ExRootTreeReader.h \
@@ -558,36 +614,8 @@
 	@touch $@
 
-interface/TreeClasses.h: \
-	Utilities/ExRootAnalysis/interface/BlockCompare.h \
-	Utilities/ExRootAnalysis/interface/BlockClasses.h
-	@touch $@
-
-interface/SmearUtil.h: \
-	Utilities/ExRootAnalysis/interface/BlockClasses.h \
-	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
-	Utilities/Fastjet/plugins/CDFCones/interface/PhysicsTower.hh
-	@touch $@
-
-interface/LHEFConverter.h: \
-	Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h \
-	Utilities/ExRootAnalysis/interface/LHEF.h \
-	interface/DataConverter.h
-	@touch $@
-
 interface/BFieldProp.h: \
 	interface/SmearUtil.h \
 	Utilities/ExRootAnalysis/interface/BlockClasses.h \
 	Utilities/ExRootAnalysis/interface/TSimpleArray.h
-	@touch $@
-
-Utilities/Fastjet/include/fastjet/Error.hh: \
-	Utilities/Fastjet/include/fastjet/internal/base.hh
-	@touch $@
-
-Utilities/Fastjet/include/fastjet/ClusterSequence.hh: \
-	Utilities/Fastjet/include/fastjet/internal/DynamicNearestNeighbours.hh \
-	Utilities/Fastjet/include/fastjet/PseudoJet.hh \
-	Utilities/Fastjet/include/fastjet/Error.hh \
-	Utilities/Fastjet/include/fastjet/JetDefinition.hh
 	@touch $@
 
@@ -613,17 +641,9 @@
 	@touch $@
 
-Utilities/ExRootAnalysis/interface/BlockClasses.h: \
-	Utilities/ExRootAnalysis/interface/BlockCompare.h
-	@touch $@
-
-interface/STDHEPConverter.h: \
-	Utilities/ExRootAnalysis/interface/BlockClasses.h \
-	Utilities/ExRootAnalysis/interface/TSimpleArray.h \
-	Utilities/ExRootAnalysis/interface/LHEF.h \
-	interface/DataConverter.h
-	@touch $@
-
-Utilities/Fastjet/include/fastjet/PseudoJet.hh: \
-	Utilities/Fastjet/include/fastjet/internal/numconsts.hh
+Utilities/Fastjet/include/fastjet/ClusterSequence.hh: \
+	Utilities/Fastjet/include/fastjet/internal/DynamicNearestNeighbours.hh \
+	Utilities/Fastjet/include/fastjet/PseudoJet.hh \
+	Utilities/Fastjet/include/fastjet/Error.hh \
+	Utilities/Fastjet/include/fastjet/JetDefinition.hh
 	@touch $@
 
Index: /trunk/Resolutions.cpp
===================================================================
--- /trunk/Resolutions.cpp	(revision 99)
+++ /trunk/Resolutions.cpp	(revision 100)
@@ -189,8 +189,8 @@
 
   //Jet information
-  JetsUtil *JETRUN = new JetsUtil();
+  JetsUtil *JETRUN = new JetsUtil(DetDatacard);
 
   //Propagation of tracks in the B field
-  TrackPropagation *TRACP = new TrackPropagation();
+  TrackPropagation *TRACP = new TrackPropagation(DetDatacard);
    
   TLorentzVector genMomentum(0,0,0,0);//TLorentzVector containing generator level information
Index: /trunk/Utilities/FROG/Includes/FROG/FROG_Chunk.h
===================================================================
--- /trunk/Utilities/FROG/Includes/FROG/FROG_Chunk.h	(revision 99)
+++ /trunk/Utilities/FROG/Includes/FROG/FROG_Chunk.h	(revision 100)
@@ -114,4 +114,5 @@
 #define	C_PRIMITIVE_PARTIALSPHERE	41031   // Contains a sphere
 #define	C_PRIMITIVE_CYLINDER		41040	// Contains a cylinder
+#define	C_PRIMITIVE_CONE		41080	// Contains a cylinder
 
 #define	C_PRIMITIVE_SURFACE			42000	// Contains Chunks related to Surface Primtive (Plane, Disc, ...)
Index: /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Tools.cpp
===================================================================
--- /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Tools.cpp	(revision 99)
+++ /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Tools.cpp	(revision 100)
@@ -139,4 +139,13 @@
 				}				
 			break;
+
+                       case C_PRIMITIVE_CONE :
+                                NObjs = (chunk_size-chunk_read)/(FROG_Element_Primitive_Cone::sizeOf()-6);
+                                for(int i=0;i<NObjs;i++){
+                                        mother->addDaughter(new FROG_Element_Primitive_Cone(pFile));
+                                        chunk_read += FROG_Element_Primitive_Cone::sizeOf()-6;
+                                }
+                        break;
+
 
 			case C_PRIMITIVE_CUSTOM_SURFACE :
Index: /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Tools.h
===================================================================
--- /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Tools.h	(revision 99)
+++ /trunk/Utilities/FROG/Includes/FROG/FROG_Element_Tools.h	(revision 100)
@@ -25,4 +25,5 @@
 #include "FROG_Element_Primitive_PartialSphere.h"
 #include "FROG_Element_Primitive_Cylinder.h"
+#include "FROG_Element_Primitive_Cone.h"
 
 #include "FROG_Element_Primitive_CustomSurface.h"
